Page MenuHomePhabricator

Add help link for PageCuration UI
Closed, ResolvedPublic

Description

In the top-right corner of the Special:NewPagesFeed there should be a "Help" link, as is standard on most Special pages.

Compare with:

It should link to the existing Enwiki docs page at https://en.wikipedia.org/wiki/Wikipedia:Page_Curation/Help

Technical Docs: https://www.mediawiki.org/wiki/Help:Page_status_indicators#Using_indicators_from_PHP_code

Event Timeline

Quiddity created this task.Jun 2 2019, 1:33 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJun 2 2019, 1:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I couldn't agree more. Help links generally link to the documentation on mediawiki, so I started a draft at https://www.mediawiki.org/wiki/User:DannyS712/Help:New_pages_feed. Once that is written enough it can be used, but I don't think the enwiki page should be the target, since the extension isn't restricted to enwiki, nor can help pages on enwiki be translated into other languages as easily.

DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.Jun 3 2019, 8:44 AM
94rain added a subscriber: 94rain.Jun 3 2019, 9:52 AM

As I noted on mediawiki, I'd like to move the draft into the help namespace in around a week, and will then add a patch to link to that page

DannyS712 triaged this task as Normal priority.Jun 13 2019, 8:46 AM

Change 517775 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Add help link to Special:NewPagesFeed

https://gerrit.wikimedia.org/r/517775

Huji closed this task as Resolved.Jul 11 2019, 11:18 PM
Huji removed a project: Patch-For-Review.

Change 517775 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Add help link to Special:NewPagesFeed

https://gerrit.wikimedia.org/r/517775